var EasyGUI_NumericValidator = Class.create();

EasyGUI_NumericValidator.messages = 
{
	minvalue: 'Only values > %d allowed',
	maxvalue: 'Only values < %d allowed',
	invalid: 'Only numeric values allowed',
	range: 'Value is out of range [%d to %d]'
}

Object.extend( Object.extend ( EasyGUI_NumericValidator.prototype, EasyGUI_Validator.prototype ),
{
	isvalid: function() 
	{
		return ( isNaN( this.value ) );
	}
});